<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html lang="en">

<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <title>LCOV - report.info - /home/mila/Desktop/ProjekatRS/08-mainant/ui_mainwindow.h</title>
  <link rel="stylesheet" type="text/css" href="../../../../../gcov.css">
</head>

<body>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="title">LCOV - code coverage report</td></tr>
    <tr><td class="ruler"><img src="../../../../../glass.png" width=3 height=3 alt=""></td></tr>

    <tr>
      <td width="100%">
        <table cellpadding=1 border=0 width="100%">
          <tr>
            <td width="10%" class="headerItem">Current view:</td>
            <td width="35%" class="headerValue"><a href="../../../../../index.html">top level</a> - <a href="index.html">home/mila/Desktop/ProjekatRS/08-mainant</a> - ui_mainwindow.h<span style="font-size: 80%;"> (source / <a href="ui_mainwindow.h.func-sort-c.html">functions</a>)</span></td>
            <td width="5%"></td>
            <td width="15%"></td>
            <td width="10%" class="headerCovTableHead">Hit</td>
            <td width="10%" class="headerCovTableHead">Total</td>
            <td width="15%" class="headerCovTableHead">Coverage</td>
          </tr>
          <tr>
            <td class="headerItem">Test:</td>
            <td class="headerValue">report.info</td>
            <td></td>
            <td class="headerItem">Lines:</td>
            <td class="headerCovTableEntry">185</td>
            <td class="headerCovTableEntry">185</td>
            <td class="headerCovTableEntryHi">100.0 %</td>
          </tr>
          <tr>
            <td class="headerItem">Date:</td>
            <td class="headerValue">2021-03-29 02:25:54</td>
            <td></td>
            <td class="headerItem">Functions:</td>
            <td class="headerCovTableEntry">2</td>
            <td class="headerCovTableEntry">2</td>
            <td class="headerCovTableEntryHi">100.0 %</td>
          </tr>
          <tr><td><img src="../../../../../glass.png" width=3 height=3 alt=""></td></tr>
        </table>
      </td>
    </tr>

    <tr><td class="ruler"><img src="../../../../../glass.png" width=3 height=3 alt=""></td></tr>
  </table>

  <table cellpadding=0 cellspacing=0 border=0>
    <tr>
      <td><br></td>
    </tr>
    <tr>
      <td>
<pre class="sourceHeading">          Line data    Source code</pre>
<pre class="source">
<a name="1"><span class="lineNum">       1 </span>            : /********************************************************************************</a>
<a name="2"><span class="lineNum">       2 </span>            : ** Form generated from reading UI file 'mainwindow.ui'</a>
<a name="3"><span class="lineNum">       3 </span>            : **</a>
<a name="4"><span class="lineNum">       4 </span>            : ** Created by: Qt User Interface Compiler version 5.12.8</a>
<a name="5"><span class="lineNum">       5 </span>            : **</a>
<a name="6"><span class="lineNum">       6 </span>            : ** WARNING! All changes made in this file will be lost when recompiling UI file!</a>
<a name="7"><span class="lineNum">       7 </span>            : ********************************************************************************/</a>
<a name="8"><span class="lineNum">       8 </span>            : </a>
<a name="9"><span class="lineNum">       9 </span>            : #ifndef UI_MAINWINDOW_H</a>
<a name="10"><span class="lineNum">      10 </span>            : #define UI_MAINWINDOW_H</a>
<a name="11"><span class="lineNum">      11 </span>            : </a>
<a name="12"><span class="lineNum">      12 </span>            : #include &quot;./headers/CustomGraphicsView.h&quot;</a>
<a name="13"><span class="lineNum">      13 </span>            : #include &quot;./headers/SearchBar.h&quot;</a>
<a name="14"><span class="lineNum">      14 </span>            : #include &lt;QtCore/QVariant&gt;</a>
<a name="15"><span class="lineNum">      15 </span>            : #include &lt;QtWidgets/QAction&gt;</a>
<a name="16"><span class="lineNum">      16 </span>            : #include &lt;QtWidgets/QApplication&gt;</a>
<a name="17"><span class="lineNum">      17 </span>            : #include &lt;QtWidgets/QHBoxLayout&gt;</a>
<a name="18"><span class="lineNum">      18 </span>            : #include &lt;QtWidgets/QLabel&gt;</a>
<a name="19"><span class="lineNum">      19 </span>            : #include &lt;QtWidgets/QListWidget&gt;</a>
<a name="20"><span class="lineNum">      20 </span>            : #include &lt;QtWidgets/QMainWindow&gt;</a>
<a name="21"><span class="lineNum">      21 </span>            : #include &lt;QtWidgets/QMenu&gt;</a>
<a name="22"><span class="lineNum">      22 </span>            : #include &lt;QtWidgets/QMenuBar&gt;</a>
<a name="23"><span class="lineNum">      23 </span>            : #include &lt;QtWidgets/QPushButton&gt;</a>
<a name="24"><span class="lineNum">      24 </span>            : #include &lt;QtWidgets/QSpacerItem&gt;</a>
<a name="25"><span class="lineNum">      25 </span>            : #include &lt;QtWidgets/QStatusBar&gt;</a>
<a name="26"><span class="lineNum">      26 </span>            : #include &lt;QtWidgets/QVBoxLayout&gt;</a>
<a name="27"><span class="lineNum">      27 </span>            : #include &lt;QtWidgets/QWidget&gt;</a>
<a name="28"><span class="lineNum">      28 </span>            : </a>
<a name="29"><span class="lineNum">      29 </span>            : QT_BEGIN_NAMESPACE</a>
<a name="30"><span class="lineNum">      30 </span>            : </a>
<a name="31"><span class="lineNum">      31 </span>            : class Ui_MainWindow {</a>
<a name="32"><span class="lineNum">      32 </span>            : public:</a>
<a name="33"><span class="lineNum">      33 </span>            :   QAction *actionCompile;</a>
<a name="34"><span class="lineNum">      34 </span>            :   QAction *actionRun;</a>
<a name="35"><span class="lineNum">      35 </span>            :   QAction *actionQuit;</a>
<a name="36"><span class="lineNum">      36 </span>            :   QAction *actionRestart;</a>
<a name="37"><span class="lineNum">      37 </span>            :   QAction *actionOpen_Code;</a>
<a name="38"><span class="lineNum">      38 </span>            :   QAction *actionFormat_Code;</a>
<a name="39"><span class="lineNum">      39 </span>            :   QWidget *centralwidget;</a>
<a name="40"><span class="lineNum">      40 </span>            :   QHBoxLayout *horizontalLayout;</a>
<a name="41"><span class="lineNum">      41 </span>            :   QVBoxLayout *verticalLayout;</a>
<a name="42"><span class="lineNum">      42 </span>            :   QListWidget *ClassView;</a>
<a name="43"><span class="lineNum">      43 </span>            :   QHBoxLayout *horizontalLayout_2;</a>
<a name="44"><span class="lineNum">      44 </span>            :   QSpacerItem *horizontalSpacer;</a>
<a name="45"><span class="lineNum">      45 </span>            :   QPushButton *AddClass;</a>
<a name="46"><span class="lineNum">      46 </span>            :   QListWidget *FunctionView;</a>
<a name="47"><span class="lineNum">      47 </span>            :   QHBoxLayout *horizontalLayout_3;</a>
<a name="48"><span class="lineNum">      48 </span>            :   QSpacerItem *horizontalSpacer_2;</a>
<a name="49"><span class="lineNum">      49 </span>            :   QPushButton *AddFunction;</a>
<a name="50"><span class="lineNum">      50 </span>            :   QListWidget *VariablesView;</a>
<a name="51"><span class="lineNum">      51 </span>            :   QHBoxLayout *horizontalLayout_4;</a>
<a name="52"><span class="lineNum">      52 </span>            :   QPushButton *VisibleInstances;</a>
<a name="53"><span class="lineNum">      53 </span>            :   QSpacerItem *horizontalSpacer_3;</a>
<a name="54"><span class="lineNum">      54 </span>            :   QLabel *label;</a>
<a name="55"><span class="lineNum">      55 </span>            :   CustomGraphicsView *StagingArea;</a>
<a name="56"><span class="lineNum">      56 </span>            :   QVBoxLayout *verticalLayout_3;</a>
<a name="57"><span class="lineNum">      57 </span>            :   SearchBar *searchBar;</a>
<a name="58"><span class="lineNum">      58 </span>            :   QListWidget *listWidget;</a>
<a name="59"><span class="lineNum">      59 </span>            :   QLabel *label_2;</a>
<a name="60"><span class="lineNum">      60 </span>            :   QListWidget *listVars;</a>
<a name="61"><span class="lineNum">      61 </span>            :   QPushButton *readVarNames;</a>
<a name="62"><span class="lineNum">      62 </span>            :   QSpacerItem *verticalSpacer;</a>
<a name="63"><span class="lineNum">      63 </span>            :   QMenuBar *menubar;</a>
<a name="64"><span class="lineNum">      64 </span>            :   QMenu *menuFile;</a>
<a name="65"><span class="lineNum">      65 </span>            :   QMenu *menuBuild;</a>
<a name="66"><span class="lineNum">      66 </span>            :   QStatusBar *statusbar;</a>
<a name="67"><span class="lineNum">      67 </span>            : </a>
<a name="68"><span class="lineNum">      68 </span><span class="lineCov">          1 :   void setupUi(QMainWindow *MainWindow) {</span></a>
<a name="69"><span class="lineNum">      69 </span><span class="lineCov">          1 :     if (MainWindow-&gt;objectName().isEmpty())</span></a>
<a name="70"><span class="lineNum">      70 </span><span class="lineCov">          1 :       MainWindow-&gt;setObjectName(QString::fromUtf8(&quot;MainWindow&quot;));</span></a>
<a name="71"><span class="lineNum">      71 </span><span class="lineCov">          1 :     MainWindow-&gt;resize(1156, 600);</span></a>
<a name="72"><span class="lineNum">      72 </span><span class="lineCov">          1 :     MainWindow-&gt;setStyleSheet(</span></a>
<a name="73"><span class="lineNum">      73 </span><span class="lineCov">          2 :         QString::fromUtf8(&quot;background-color:#043c4c;\n&quot;</span></a>
<a name="74"><span class="lineNum">      74 </span>            :                           &quot;border-color: rgb(21, 45, 73);&quot;));</a>
<a name="75"><span class="lineNum">      75 </span><span class="lineCov">          1 :     actionCompile = new QAction(MainWindow);</span></a>
<a name="76"><span class="lineNum">      76 </span><span class="lineCov">          1 :     actionCompile-&gt;setObjectName(QString::fromUtf8(&quot;actionCompile&quot;));</span></a>
<a name="77"><span class="lineNum">      77 </span><span class="lineCov">          1 :     actionRun = new QAction(MainWindow);</span></a>
<a name="78"><span class="lineNum">      78 </span><span class="lineCov">          1 :     actionRun-&gt;setObjectName(QString::fromUtf8(&quot;actionRun&quot;));</span></a>
<a name="79"><span class="lineNum">      79 </span><span class="lineCov">          1 :     actionQuit = new QAction(MainWindow);</span></a>
<a name="80"><span class="lineNum">      80 </span><span class="lineCov">          1 :     actionQuit-&gt;setObjectName(QString::fromUtf8(&quot;actionQuit&quot;));</span></a>
<a name="81"><span class="lineNum">      81 </span><span class="lineCov">          1 :     actionRestart = new QAction(MainWindow);</span></a>
<a name="82"><span class="lineNum">      82 </span><span class="lineCov">          1 :     actionRestart-&gt;setObjectName(QString::fromUtf8(&quot;actionRestart&quot;));</span></a>
<a name="83"><span class="lineNum">      83 </span><span class="lineCov">          1 :     actionOpen_Code = new QAction(MainWindow);</span></a>
<a name="84"><span class="lineNum">      84 </span><span class="lineCov">          1 :     actionOpen_Code-&gt;setObjectName(QString::fromUtf8(&quot;actionOpen_Code&quot;));</span></a>
<a name="85"><span class="lineNum">      85 </span><span class="lineCov">          1 :     actionFormat_Code = new QAction(MainWindow);</span></a>
<a name="86"><span class="lineNum">      86 </span><span class="lineCov">          1 :     actionFormat_Code-&gt;setObjectName(QString::fromUtf8(&quot;actionFormat_Code&quot;));</span></a>
<a name="87"><span class="lineNum">      87 </span><span class="lineCov">          1 :     centralwidget = new QWidget(MainWindow);</span></a>
<a name="88"><span class="lineNum">      88 </span><span class="lineCov">          1 :     centralwidget-&gt;setObjectName(QString::fromUtf8(&quot;centralwidget&quot;));</span></a>
<a name="89"><span class="lineNum">      89 </span><span class="lineCov">          1 :     QSizePolicy sizePolicy(QSizePolicy::Preferred, QSizePolicy::Preferred);</span></a>
<a name="90"><span class="lineNum">      90 </span><span class="lineCov">          1 :     sizePolicy.setHorizontalStretch(0);</span></a>
<a name="91"><span class="lineNum">      91 </span><span class="lineCov">          1 :     sizePolicy.setVerticalStretch(0);</span></a>
<a name="92"><span class="lineNum">      92 </span><span class="lineCov">          1 :     sizePolicy.setHeightForWidth(</span></a>
<a name="93"><span class="lineNum">      93 </span><span class="lineCov">          1 :         centralwidget-&gt;sizePolicy().hasHeightForWidth());</span></a>
<a name="94"><span class="lineNum">      94 </span><span class="lineCov">          1 :     centralwidget-&gt;setSizePolicy(sizePolicy);</span></a>
<a name="95"><span class="lineNum">      95 </span><span class="lineCov">          1 :     horizontalLayout = new QHBoxLayout(centralwidget);</span></a>
<a name="96"><span class="lineNum">      96 </span><span class="lineCov">          1 :     horizontalLayout-&gt;setObjectName(QString::fromUtf8(&quot;horizontalLayout&quot;));</span></a>
<a name="97"><span class="lineNum">      97 </span><span class="lineCov">          1 :     verticalLayout = new QVBoxLayout();</span></a>
<a name="98"><span class="lineNum">      98 </span><span class="lineCov">          1 :     verticalLayout-&gt;setSpacing(6);</span></a>
<a name="99"><span class="lineNum">      99 </span><span class="lineCov">          1 :     verticalLayout-&gt;setObjectName(QString::fromUtf8(&quot;verticalLayout&quot;));</span></a>
<a name="100"><span class="lineNum">     100 </span><span class="lineCov">          1 :     verticalLayout-&gt;setSizeConstraint(QLayout::SetMaximumSize);</span></a>
<a name="101"><span class="lineNum">     101 </span><span class="lineCov">          1 :     ClassView = new QListWidget(centralwidget);</span></a>
<a name="102"><span class="lineNum">     102 </span><span class="lineCov">          1 :     ClassView-&gt;setObjectName(QString::fromUtf8(&quot;ClassView&quot;));</span></a>
<a name="103"><span class="lineNum">     103 </span><span class="lineCov">          1 :     ClassView-&gt;setStyleSheet(</span></a>
<a name="104"><span class="lineNum">     104 </span><span class="lineCov">          2 :         QString::fromUtf8(&quot;background-color: rgb(44, 94, 107);\n&quot;</span></a>
<a name="105"><span class="lineNum">     105 </span>            :                           &quot;color : rgb(255, 255, 255);\n&quot;</a>
<a name="106"><span class="lineNum">     106 </span>            :                           &quot;&quot;));</a>
<a name="107"><span class="lineNum">     107 </span>            : </a>
<a name="108"><span class="lineNum">     108 </span><span class="lineCov">          1 :     verticalLayout-&gt;addWidget(ClassView);</span></a>
<a name="109"><span class="lineNum">     109 </span>            : </a>
<a name="110"><span class="lineNum">     110 </span><span class="lineCov">          1 :     horizontalLayout_2 = new QHBoxLayout();</span></a>
<a name="111"><span class="lineNum">     111 </span><span class="lineCov">          1 :     horizontalLayout_2-&gt;setObjectName(QString::fromUtf8(&quot;horizontalLayout_2&quot;));</span></a>
<a name="112"><span class="lineNum">     112 </span><span class="lineCov">          1 :     horizontalSpacer =</span></a>
<a name="113"><span class="lineNum">     113 </span><span class="lineCov">          1 :         new QSpacerItem(40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);</span></a>
<a name="114"><span class="lineNum">     114 </span>            : </a>
<a name="115"><span class="lineNum">     115 </span><span class="lineCov">          1 :     horizontalLayout_2-&gt;addItem(horizontalSpacer);</span></a>
<a name="116"><span class="lineNum">     116 </span>            : </a>
<a name="117"><span class="lineNum">     117 </span><span class="lineCov">          1 :     AddClass = new QPushButton(centralwidget);</span></a>
<a name="118"><span class="lineNum">     118 </span><span class="lineCov">          1 :     AddClass-&gt;setObjectName(QString::fromUtf8(&quot;AddClass&quot;));</span></a>
<a name="119"><span class="lineNum">     119 </span><span class="lineCov">          1 :     QSizePolicy sizePolicy1(QSizePolicy::Fixed, QSizePolicy::Fixed);</span></a>
<a name="120"><span class="lineNum">     120 </span><span class="lineCov">          1 :     sizePolicy1.setHorizontalStretch(0);</span></a>
<a name="121"><span class="lineNum">     121 </span><span class="lineCov">          1 :     sizePolicy1.setVerticalStretch(0);</span></a>
<a name="122"><span class="lineNum">     122 </span><span class="lineCov">          1 :     sizePolicy1.setHeightForWidth(AddClass-&gt;sizePolicy().hasHeightForWidth());</span></a>
<a name="123"><span class="lineNum">     123 </span><span class="lineCov">          1 :     AddClass-&gt;setSizePolicy(sizePolicy1);</span></a>
<a name="124"><span class="lineNum">     124 </span><span class="lineCov">          1 :     AddClass-&gt;setLayoutDirection(Qt::RightToLeft);</span></a>
<a name="125"><span class="lineNum">     125 </span><span class="lineCov">          1 :     AddClass-&gt;setStyleSheet(</span></a>
<a name="126"><span class="lineNum">     126 </span><span class="lineCov">          2 :         QString::fromUtf8(&quot;background-color: rgb(159, 216, 107);\n&quot;</span></a>
<a name="127"><span class="lineNum">     127 </span>            :                           &quot;color: rgb(21, 45, 73);\n&quot;</a>
<a name="128"><span class="lineNum">     128 </span>            :                           &quot;\n&quot;</a>
<a name="129"><span class="lineNum">     129 </span>            :                           &quot;&quot;));</a>
<a name="130"><span class="lineNum">     130 </span><span class="lineCov">          1 :     AddClass-&gt;setFlat(false);</span></a>
<a name="131"><span class="lineNum">     131 </span>            : </a>
<a name="132"><span class="lineNum">     132 </span><span class="lineCov">          1 :     horizontalLayout_2-&gt;addWidget(AddClass);</span></a>
<a name="133"><span class="lineNum">     133 </span>            : </a>
<a name="134"><span class="lineNum">     134 </span><span class="lineCov">          1 :     verticalLayout-&gt;addLayout(horizontalLayout_2);</span></a>
<a name="135"><span class="lineNum">     135 </span>            : </a>
<a name="136"><span class="lineNum">     136 </span><span class="lineCov">          1 :     FunctionView = new QListWidget(centralwidget);</span></a>
<a name="137"><span class="lineNum">     137 </span><span class="lineCov">          1 :     FunctionView-&gt;setObjectName(QString::fromUtf8(&quot;FunctionView&quot;));</span></a>
<a name="138"><span class="lineNum">     138 </span><span class="lineCov">          1 :     FunctionView-&gt;setStyleSheet(</span></a>
<a name="139"><span class="lineNum">     139 </span><span class="lineCov">          2 :         QString::fromUtf8(&quot;background-color: rgb(44, 94, 107);\n&quot;</span></a>
<a name="140"><span class="lineNum">     140 </span>            :                           &quot;color : rgb(255, 255, 255);\n&quot;</a>
<a name="141"><span class="lineNum">     141 </span>            :                           &quot;&quot;));</a>
<a name="142"><span class="lineNum">     142 </span>            : </a>
<a name="143"><span class="lineNum">     143 </span><span class="lineCov">          1 :     verticalLayout-&gt;addWidget(FunctionView);</span></a>
<a name="144"><span class="lineNum">     144 </span>            : </a>
<a name="145"><span class="lineNum">     145 </span><span class="lineCov">          1 :     horizontalLayout_3 = new QHBoxLayout();</span></a>
<a name="146"><span class="lineNum">     146 </span><span class="lineCov">          1 :     horizontalLayout_3-&gt;setObjectName(QString::fromUtf8(&quot;horizontalLayout_3&quot;));</span></a>
<a name="147"><span class="lineNum">     147 </span><span class="lineCov">          1 :     horizontalSpacer_2 =</span></a>
<a name="148"><span class="lineNum">     148 </span><span class="lineCov">          1 :         new QSpacerItem(40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);</span></a>
<a name="149"><span class="lineNum">     149 </span>            : </a>
<a name="150"><span class="lineNum">     150 </span><span class="lineCov">          1 :     horizontalLayout_3-&gt;addItem(horizontalSpacer_2);</span></a>
<a name="151"><span class="lineNum">     151 </span>            : </a>
<a name="152"><span class="lineNum">     152 </span><span class="lineCov">          1 :     AddFunction = new QPushButton(centralwidget);</span></a>
<a name="153"><span class="lineNum">     153 </span><span class="lineCov">          1 :     AddFunction-&gt;setObjectName(QString::fromUtf8(&quot;AddFunction&quot;));</span></a>
<a name="154"><span class="lineNum">     154 </span><span class="lineCov">          1 :     sizePolicy1.setHeightForWidth(</span></a>
<a name="155"><span class="lineNum">     155 </span><span class="lineCov">          1 :         AddFunction-&gt;sizePolicy().hasHeightForWidth());</span></a>
<a name="156"><span class="lineNum">     156 </span><span class="lineCov">          1 :     AddFunction-&gt;setSizePolicy(sizePolicy1);</span></a>
<a name="157"><span class="lineNum">     157 </span><span class="lineCov">          1 :     AddFunction-&gt;setLayoutDirection(Qt::RightToLeft);</span></a>
<a name="158"><span class="lineNum">     158 </span><span class="lineCov">          1 :     AddFunction-&gt;setStyleSheet(QString::fromUtf8(&quot;background-color: #53ba83;\n&quot;</span></a>
<a name="159"><span class="lineNum">     159 </span>            :                                                  &quot;color: rgb(21, 45, 73);\n&quot;</a>
<a name="160"><span class="lineNum">     160 </span>            :                                                  &quot;&quot;));</a>
<a name="161"><span class="lineNum">     161 </span><span class="lineCov">          1 :     AddFunction-&gt;setFlat(false);</span></a>
<a name="162"><span class="lineNum">     162 </span>            : </a>
<a name="163"><span class="lineNum">     163 </span><span class="lineCov">          1 :     horizontalLayout_3-&gt;addWidget(AddFunction);</span></a>
<a name="164"><span class="lineNum">     164 </span>            : </a>
<a name="165"><span class="lineNum">     165 </span><span class="lineCov">          1 :     verticalLayout-&gt;addLayout(horizontalLayout_3);</span></a>
<a name="166"><span class="lineNum">     166 </span>            : </a>
<a name="167"><span class="lineNum">     167 </span><span class="lineCov">          1 :     VariablesView = new QListWidget(centralwidget);</span></a>
<a name="168"><span class="lineNum">     168 </span><span class="lineCov">          1 :     VariablesView-&gt;setObjectName(QString::fromUtf8(&quot;VariablesView&quot;));</span></a>
<a name="169"><span class="lineNum">     169 </span><span class="lineCov">          1 :     VariablesView-&gt;setStyleSheet(</span></a>
<a name="170"><span class="lineNum">     170 </span><span class="lineCov">          2 :         QString::fromUtf8(&quot;background-color: rgb(44, 94, 107);\n&quot;</span></a>
<a name="171"><span class="lineNum">     171 </span>            :                           &quot;color : rgb(255, 255, 255);\n&quot;</a>
<a name="172"><span class="lineNum">     172 </span>            :                           &quot;&quot;));</a>
<a name="173"><span class="lineNum">     173 </span>            : </a>
<a name="174"><span class="lineNum">     174 </span><span class="lineCov">          1 :     verticalLayout-&gt;addWidget(VariablesView);</span></a>
<a name="175"><span class="lineNum">     175 </span>            : </a>
<a name="176"><span class="lineNum">     176 </span><span class="lineCov">          1 :     horizontalLayout_4 = new QHBoxLayout();</span></a>
<a name="177"><span class="lineNum">     177 </span><span class="lineCov">          1 :     horizontalLayout_4-&gt;setObjectName(QString::fromUtf8(&quot;horizontalLayout_4&quot;));</span></a>
<a name="178"><span class="lineNum">     178 </span><span class="lineCov">          1 :     VisibleInstances = new QPushButton(centralwidget);</span></a>
<a name="179"><span class="lineNum">     179 </span><span class="lineCov">          1 :     VisibleInstances-&gt;setObjectName(QString::fromUtf8(&quot;VisibleInstances&quot;));</span></a>
<a name="180"><span class="lineNum">     180 </span><span class="lineCov">          1 :     VisibleInstances-&gt;setStyleSheet(</span></a>
<a name="181"><span class="lineNum">     181 </span><span class="lineCov">          2 :         QString::fromUtf8(&quot;background-color: rgb(150, 25, 184);\n&quot;</span></a>
<a name="182"><span class="lineNum">     182 </span>            :                           &quot;color: rgb(21, 45, 73);&quot;));</a>
<a name="183"><span class="lineNum">     183 </span>            : </a>
<a name="184"><span class="lineNum">     184 </span><span class="lineCov">          1 :     horizontalLayout_4-&gt;addWidget(VisibleInstances);</span></a>
<a name="185"><span class="lineNum">     185 </span>            : </a>
<a name="186"><span class="lineNum">     186 </span><span class="lineCov">          1 :     horizontalSpacer_3 =</span></a>
<a name="187"><span class="lineNum">     187 </span><span class="lineCov">          1 :         new QSpacerItem(40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);</span></a>
<a name="188"><span class="lineNum">     188 </span>            : </a>
<a name="189"><span class="lineNum">     189 </span><span class="lineCov">          1 :     horizontalLayout_4-&gt;addItem(horizontalSpacer_3);</span></a>
<a name="190"><span class="lineNum">     190 </span>            : </a>
<a name="191"><span class="lineNum">     191 </span><span class="lineCov">          1 :     label = new QLabel(centralwidget);</span></a>
<a name="192"><span class="lineNum">     192 </span><span class="lineCov">          1 :     label-&gt;setObjectName(QString::fromUtf8(&quot;label&quot;));</span></a>
<a name="193"><span class="lineNum">     193 </span><span class="lineCov">          1 :     label-&gt;setStyleSheet(</span></a>
<a name="194"><span class="lineNum">     194 </span><span class="lineCov">          2 :         QString::fromUtf8(&quot;background-color: rgb(5, 155, 154);\n&quot;</span></a>
<a name="195"><span class="lineNum">     195 </span>            :                           &quot;color: rgb(21, 45, 73);&quot;));</a>
<a name="196"><span class="lineNum">     196 </span>            : </a>
<a name="197"><span class="lineNum">     197 </span><span class="lineCov">          1 :     horizontalLayout_4-&gt;addWidget(label);</span></a>
<a name="198"><span class="lineNum">     198 </span>            : </a>
<a name="199"><span class="lineNum">     199 </span><span class="lineCov">          1 :     verticalLayout-&gt;addLayout(horizontalLayout_4);</span></a>
<a name="200"><span class="lineNum">     200 </span>            : </a>
<a name="201"><span class="lineNum">     201 </span><span class="lineCov">          1 :     horizontalLayout-&gt;addLayout(verticalLayout);</span></a>
<a name="202"><span class="lineNum">     202 </span>            : </a>
<a name="203"><span class="lineNum">     203 </span><span class="lineCov">          1 :     StagingArea = new CustomGraphicsView(centralwidget);</span></a>
<a name="204"><span class="lineNum">     204 </span><span class="lineCov">          1 :     StagingArea-&gt;setObjectName(QString::fromUtf8(&quot;StagingArea&quot;));</span></a>
<a name="205"><span class="lineNum">     205 </span>            : </a>
<a name="206"><span class="lineNum">     206 </span><span class="lineCov">          1 :     horizontalLayout-&gt;addWidget(StagingArea);</span></a>
<a name="207"><span class="lineNum">     207 </span>            : </a>
<a name="208"><span class="lineNum">     208 </span><span class="lineCov">          1 :     verticalLayout_3 = new QVBoxLayout();</span></a>
<a name="209"><span class="lineNum">     209 </span><span class="lineCov">          1 :     verticalLayout_3-&gt;setObjectName(QString::fromUtf8(&quot;verticalLayout_3&quot;));</span></a>
<a name="210"><span class="lineNum">     210 </span><span class="lineCov">          1 :     verticalLayout_3-&gt;setContentsMargins(10, -1, 10, -1);</span></a>
<a name="211"><span class="lineNum">     211 </span><span class="lineCov">          1 :     searchBar = new SearchBar(centralwidget);</span></a>
<a name="212"><span class="lineNum">     212 </span><span class="lineCov">          1 :     searchBar-&gt;setObjectName(QString::fromUtf8(&quot;searchBar&quot;));</span></a>
<a name="213"><span class="lineNum">     213 </span>            : </a>
<a name="214"><span class="lineNum">     214 </span><span class="lineCov">          1 :     verticalLayout_3-&gt;addWidget(searchBar);</span></a>
<a name="215"><span class="lineNum">     215 </span>            : </a>
<a name="216"><span class="lineNum">     216 </span><span class="lineCov">          1 :     listWidget = new QListWidget(centralwidget);</span></a>
<a name="217"><span class="lineNum">     217 </span><span class="lineCov">          1 :     listWidget-&gt;setObjectName(QString::fromUtf8(&quot;listWidget&quot;));</span></a>
<a name="218"><span class="lineNum">     218 </span><span class="lineCov">          1 :     listWidget-&gt;setStyleSheet(QString::fromUtf8(&quot;color: rgb(189, 221, 235)&quot;));</span></a>
<a name="219"><span class="lineNum">     219 </span>            : </a>
<a name="220"><span class="lineNum">     220 </span><span class="lineCov">          1 :     verticalLayout_3-&gt;addWidget(listWidget);</span></a>
<a name="221"><span class="lineNum">     221 </span>            : </a>
<a name="222"><span class="lineNum">     222 </span><span class="lineCov">          1 :     label_2 = new QLabel(centralwidget);</span></a>
<a name="223"><span class="lineNum">     223 </span><span class="lineCov">          1 :     label_2-&gt;setObjectName(QString::fromUtf8(&quot;label_2&quot;));</span></a>
<a name="224"><span class="lineNum">     224 </span><span class="lineCov">          1 :     label_2-&gt;setStyleSheet(QString::fromUtf8(&quot;color : rgb(189, 221, 235)&quot;));</span></a>
<a name="225"><span class="lineNum">     225 </span>            : </a>
<a name="226"><span class="lineNum">     226 </span><span class="lineCov">          1 :     verticalLayout_3-&gt;addWidget(label_2);</span></a>
<a name="227"><span class="lineNum">     227 </span>            : </a>
<a name="228"><span class="lineNum">     228 </span><span class="lineCov">          1 :     listVars = new QListWidget(centralwidget);</span></a>
<a name="229"><span class="lineNum">     229 </span><span class="lineCov">          1 :     listVars-&gt;setObjectName(QString::fromUtf8(&quot;listVars&quot;));</span></a>
<a name="230"><span class="lineNum">     230 </span><span class="lineCov">          1 :     listVars-&gt;setStyleSheet(QString::fromUtf8(&quot;color : rgb(189, 221, 235)&quot;));</span></a>
<a name="231"><span class="lineNum">     231 </span>            : </a>
<a name="232"><span class="lineNum">     232 </span><span class="lineCov">          1 :     verticalLayout_3-&gt;addWidget(listVars);</span></a>
<a name="233"><span class="lineNum">     233 </span>            : </a>
<a name="234"><span class="lineNum">     234 </span><span class="lineCov">          1 :     readVarNames = new QPushButton(centralwidget);</span></a>
<a name="235"><span class="lineNum">     235 </span><span class="lineCov">          1 :     readVarNames-&gt;setObjectName(QString::fromUtf8(&quot;readVarNames&quot;));</span></a>
<a name="236"><span class="lineNum">     236 </span><span class="lineCov">          1 :     readVarNames-&gt;setStyleSheet(</span></a>
<a name="237"><span class="lineNum">     237 </span><span class="lineCov">          2 :         QString::fromUtf8(&quot;background-color: rgb(150, 125, 154);\n&quot;</span></a>
<a name="238"><span class="lineNum">     238 </span>            :                           &quot;color: rgb(21, 45, 73);&quot;));</a>
<a name="239"><span class="lineNum">     239 </span>            : </a>
<a name="240"><span class="lineNum">     240 </span><span class="lineCov">          1 :     verticalLayout_3-&gt;addWidget(readVarNames);</span></a>
<a name="241"><span class="lineNum">     241 </span>            : </a>
<a name="242"><span class="lineNum">     242 </span><span class="lineCov">          1 :     verticalSpacer =</span></a>
<a name="243"><span class="lineNum">     243 </span><span class="lineCov">          1 :         new QSpacerItem(20, 40, QSizePolicy::Minimum, QSizePolicy::Expanding);</span></a>
<a name="244"><span class="lineNum">     244 </span>            : </a>
<a name="245"><span class="lineNum">     245 </span><span class="lineCov">          1 :     verticalLayout_3-&gt;addItem(verticalSpacer);</span></a>
<a name="246"><span class="lineNum">     246 </span>            : </a>
<a name="247"><span class="lineNum">     247 </span><span class="lineCov">          1 :     verticalLayout_3-&gt;setStretch(1, 2);</span></a>
<a name="248"><span class="lineNum">     248 </span>            : </a>
<a name="249"><span class="lineNum">     249 </span><span class="lineCov">          1 :     horizontalLayout-&gt;addLayout(verticalLayout_3);</span></a>
<a name="250"><span class="lineNum">     250 </span>            : </a>
<a name="251"><span class="lineNum">     251 </span><span class="lineCov">          1 :     horizontalLayout-&gt;setStretch(0, 1);</span></a>
<a name="252"><span class="lineNum">     252 </span><span class="lineCov">          1 :     horizontalLayout-&gt;setStretch(1, 4);</span></a>
<a name="253"><span class="lineNum">     253 </span><span class="lineCov">          1 :     horizontalLayout-&gt;setStretch(2, 1);</span></a>
<a name="254"><span class="lineNum">     254 </span><span class="lineCov">          1 :     MainWindow-&gt;setCentralWidget(centralwidget);</span></a>
<a name="255"><span class="lineNum">     255 </span><span class="lineCov">          1 :     menubar = new QMenuBar(MainWindow);</span></a>
<a name="256"><span class="lineNum">     256 </span><span class="lineCov">          1 :     menubar-&gt;setObjectName(QString::fromUtf8(&quot;menubar&quot;));</span></a>
<a name="257"><span class="lineNum">     257 </span><span class="lineCov">          1 :     menubar-&gt;setGeometry(QRect(0, 0, 1156, 22));</span></a>
<a name="258"><span class="lineNum">     258 </span><span class="lineCov">          1 :     menubar-&gt;setStyleSheet(</span></a>
<a name="259"><span class="lineNum">     259 </span><span class="lineCov">          2 :         QString::fromUtf8(&quot;background-color: rgb(21, 45, 73);\n&quot;</span></a>
<a name="260"><span class="lineNum">     260 </span>            :                           &quot;color: rgb(220, 234, 251);&quot;));</a>
<a name="261"><span class="lineNum">     261 </span><span class="lineCov">          1 :     menuFile = new QMenu(menubar);</span></a>
<a name="262"><span class="lineNum">     262 </span><span class="lineCov">          1 :     menuFile-&gt;setObjectName(QString::fromUtf8(&quot;menuFile&quot;));</span></a>
<a name="263"><span class="lineNum">     263 </span><span class="lineCov">          1 :     menuBuild = new QMenu(menubar);</span></a>
<a name="264"><span class="lineNum">     264 </span><span class="lineCov">          1 :     menuBuild-&gt;setObjectName(QString::fromUtf8(&quot;menuBuild&quot;));</span></a>
<a name="265"><span class="lineNum">     265 </span><span class="lineCov">          1 :     MainWindow-&gt;setMenuBar(menubar);</span></a>
<a name="266"><span class="lineNum">     266 </span><span class="lineCov">          1 :     statusbar = new QStatusBar(MainWindow);</span></a>
<a name="267"><span class="lineNum">     267 </span><span class="lineCov">          1 :     statusbar-&gt;setObjectName(QString::fromUtf8(&quot;statusbar&quot;));</span></a>
<a name="268"><span class="lineNum">     268 </span><span class="lineCov">          1 :     MainWindow-&gt;setStatusBar(statusbar);</span></a>
<a name="269"><span class="lineNum">     269 </span>            : </a>
<a name="270"><span class="lineNum">     270 </span><span class="lineCov">          1 :     menubar-&gt;addAction(menuFile-&gt;menuAction());</span></a>
<a name="271"><span class="lineNum">     271 </span><span class="lineCov">          1 :     menubar-&gt;addAction(menuBuild-&gt;menuAction());</span></a>
<a name="272"><span class="lineNum">     272 </span><span class="lineCov">          1 :     menuFile-&gt;addAction(actionRestart);</span></a>
<a name="273"><span class="lineNum">     273 </span><span class="lineCov">          1 :     menuFile-&gt;addAction(actionQuit);</span></a>
<a name="274"><span class="lineNum">     274 </span><span class="lineCov">          1 :     menuBuild-&gt;addAction(actionCompile);</span></a>
<a name="275"><span class="lineNum">     275 </span><span class="lineCov">          1 :     menuBuild-&gt;addAction(actionRun);</span></a>
<a name="276"><span class="lineNum">     276 </span><span class="lineCov">          1 :     menuBuild-&gt;addAction(actionOpen_Code);</span></a>
<a name="277"><span class="lineNum">     277 </span><span class="lineCov">          1 :     menuBuild-&gt;addAction(actionFormat_Code);</span></a>
<a name="278"><span class="lineNum">     278 </span>            : </a>
<a name="279"><span class="lineNum">     279 </span><span class="lineCov">          1 :     retranslateUi(MainWindow);</span></a>
<a name="280"><span class="lineNum">     280 </span>            : </a>
<a name="281"><span class="lineNum">     281 </span><span class="lineCov">          1 :     QMetaObject::connectSlotsByName(MainWindow);</span></a>
<a name="282"><span class="lineNum">     282 </span><span class="lineCov">          1 :   } // setupUi</span></a>
<a name="283"><span class="lineNum">     283 </span>            : </a>
<a name="284"><span class="lineNum">     284 </span><span class="lineCov">          1 :   void retranslateUi(QMainWindow *MainWindow) {</span></a>
<a name="285"><span class="lineNum">     285 </span><span class="lineCov">          1 :     MainWindow-&gt;setWindowTitle(</span></a>
<a name="286"><span class="lineNum">     286 </span><span class="lineCov">          2 :         QApplication::translate(&quot;MainWindow&quot;, &quot;MainWindow&quot;, nullptr));</span></a>
<a name="287"><span class="lineNum">     287 </span><span class="lineCov">          1 :     actionCompile-&gt;setText(</span></a>
<a name="288"><span class="lineNum">     288 </span><span class="lineCov">          2 :         QApplication::translate(&quot;MainWindow&quot;, &quot;&amp;Compile&quot;, nullptr));</span></a>
<a name="289"><span class="lineNum">     289 </span><span class="lineCov">          1 :     actionRun-&gt;setText(QApplication::translate(&quot;MainWindow&quot;, &quot;&amp;Run&quot;, nullptr));</span></a>
<a name="290"><span class="lineNum">     290 </span><span class="lineCov">          1 :     actionQuit-&gt;setText(QApplication::translate(&quot;MainWindow&quot;, &quot;Quit&quot;, nullptr));</span></a>
<a name="291"><span class="lineNum">     291 </span><span class="lineCov">          1 :     actionRestart-&gt;setText(</span></a>
<a name="292"><span class="lineNum">     292 </span><span class="lineCov">          2 :         QApplication::translate(&quot;MainWindow&quot;, &quot;Restart&quot;, nullptr));</span></a>
<a name="293"><span class="lineNum">     293 </span><span class="lineCov">          1 :     actionOpen_Code-&gt;setText(</span></a>
<a name="294"><span class="lineNum">     294 </span><span class="lineCov">          2 :         QApplication::translate(&quot;MainWindow&quot;, &quot;Open Code&quot;, nullptr));</span></a>
<a name="295"><span class="lineNum">     295 </span><span class="lineCov">          1 :     actionFormat_Code-&gt;setText(</span></a>
<a name="296"><span class="lineNum">     296 </span><span class="lineCov">          2 :         QApplication::translate(&quot;MainWindow&quot;, &quot;Format Code&quot;, nullptr));</span></a>
<a name="297"><span class="lineNum">     297 </span><span class="lineCov">          1 :     AddClass-&gt;setText(</span></a>
<a name="298"><span class="lineNum">     298 </span><span class="lineCov">          2 :         QApplication::translate(&quot;MainWindow&quot;, &quot;+ class&quot;, nullptr));</span></a>
<a name="299"><span class="lineNum">     299 </span><span class="lineCov">          1 :     AddFunction-&gt;setText(</span></a>
<a name="300"><span class="lineNum">     300 </span><span class="lineCov">          2 :         QApplication::translate(&quot;MainWindow&quot;, &quot;+ function&quot;, nullptr));</span></a>
<a name="301"><span class="lineNum">     301 </span><span class="lineCov">          1 :     VisibleInstances-&gt;setText(</span></a>
<a name="302"><span class="lineNum">     302 </span><span class="lineCov">          2 :         QApplication::translate(&quot;MainWindow&quot;, &quot;Visible&quot;, nullptr));</span></a>
<a name="303"><span class="lineNum">     303 </span><span class="lineCov">          1 :     label-&gt;setText(</span></a>
<a name="304"><span class="lineNum">     304 </span><span class="lineCov">          2 :         QApplication::translate(&quot;MainWindow&quot;, &quot;  Variables   &quot;, nullptr));</span></a>
<a name="305"><span class="lineNum">     305 </span><span class="lineCov">          1 :     label_2-&gt;setText(</span></a>
<a name="306"><span class="lineNum">     306 </span><span class="lineCov">          2 :         QApplication::translate(&quot;MainWindow&quot;, &quot;Variables&quot;, nullptr));</span></a>
<a name="307"><span class="lineNum">     307 </span><span class="lineCov">          1 :     readVarNames-&gt;setText(</span></a>
<a name="308"><span class="lineNum">     308 </span><span class="lineCov">          2 :         QApplication::translate(&quot;MainWindow&quot;, &quot;read variables names&quot;, nullptr));</span></a>
<a name="309"><span class="lineNum">     309 </span><span class="lineCov">          1 :     menuFile-&gt;setTitle(QApplication::translate(&quot;MainWindow&quot;, &quot;&amp;File&quot;, nullptr));</span></a>
<a name="310"><span class="lineNum">     310 </span><span class="lineCov">          1 :     menuBuild-&gt;setTitle(</span></a>
<a name="311"><span class="lineNum">     311 </span><span class="lineCov">          2 :         QApplication::translate(&quot;MainWindow&quot;, &quot;&amp;Build&quot;, nullptr));</span></a>
<a name="312"><span class="lineNum">     312 </span><span class="lineCov">          1 :   } // retranslateUi</span></a>
<a name="313"><span class="lineNum">     313 </span>            : };</a>
<a name="314"><span class="lineNum">     314 </span>            : </a>
<a name="315"><span class="lineNum">     315 </span>            : namespace Ui {</a>
<a name="316"><span class="lineNum">     316 </span>            : class MainWindow : public Ui_MainWindow {};</a>
<a name="317"><span class="lineNum">     317 </span>            : } // namespace Ui</a>
<a name="318"><span class="lineNum">     318 </span>            : </a>
<a name="319"><span class="lineNum">     319 </span>            : QT_END_NAMESPACE</a>
<a name="320"><span class="lineNum">     320 </span>            : </a>
<a name="321"><span class="lineNum">     321 </span>            : #endif // UI_MAINWINDOW_H</a>
</pre>
      </td>
    </tr>
  </table>
  <br>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="ruler"><img src="../../../../../glass.png" width=3 height=3 alt=""></td></tr>
    <tr><td class="versionInfo">Generated by: <a href="http://ltp.sourceforge.net/coverage/lcov.php" target="_parent">LCOV version 1.14</a></td></tr>
  </table>
  <br>

</body>
</html>
